## org.apache.poi.hwpf.model.types
Class DOPAbstractType

    java.lang.Object
      org.apache.poi.hwpf.model.types.DOPAbstractType

All Implemented Interfaces:
  org.apache.poi.hdf.model.hdftypes.HDFType

Direct Known Subclasses:
  DocumentProperties

    @Internal
    public abstract class DOPAbstractType

extends java.lang.Object
implements org.apache.poi.hdf.model.hdftypes.HDFType

Document Properties. NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/records/definitions.

Author:
  S. Ryan Ackley

Field Summary
`protected byte` `field_1_formatFlags`
`protected int` `field_10_wSpare`
`protected int` `field_11_dxaHotz`
`protected int` `field_12_cConsexHypLim`
`protected int` `field_13_wSpare2`
`protected int` `field_14_dttmCreated`
`protected int` `field_15_dttmRevised`
`protected int` `field_16_dttmLastPrint`
`protected int` `field_17_nRevision`
`protected int` `field_18_tmEdited`
`protected int` `field_19_cWords`
`protected byte` `field_2_unused2`
`protected int` `field_20_cCh`
`protected int` `field_21_cPg`
`protected int` `field_22_cParas`
`protected short` `field_23_Edn`
`protected short` `field_24_Edn1`
`protected int` `field_25_cLines`
`protected int` `field_26_cWordsFtnEnd`
`protected int` `field_27_cChFtnEdn`
`protected short` `field_28_cPgFtnEdn`
`protected int` `field_29_cParasFtnEdn`
`protected short` `field_3_footnoteInfo`
`protected int` `field_30_cLinesFtnEdn`
`protected int` `field_31_lKeyProtDoc`
`protected short` `field_32_view`
`protected int` `field_33_docinfo4`
`protected short` `field_34_adt`
`protected byte[]` `field_35_doptypography`
`protected byte[]` `field_36_dogrid`
`protected short` `field_37_docinfo5`
`protected short` `field_38_docinfo6`
`protected byte[]` `field_39_asumyi`
`protected byte` `field_4_fOutlineDirtySave`
`protected int` `field_40_cChWS`
`protected int` `field_41_cChWSFtnEdn`
`protected int` `field_42_grfDocEvents`
`protected int` `field_43_virusinfo`
`protected byte[]` `field_44_Spare`
`protected int` `field_45_reserved1`
`protected int` `field_46_reserved2`
`protected int` `field_47_cDBC`
`protected int` `field_48_cDBCFtnEdn`
`protected int` `field_49_reserved`
`protected byte` `field_5_docinfo`
`protected short` `field_50_nfcFtnRef`
`protected short` `field_51_nfcEdnRef`
`protected short` `field_52_hpsZoonFontPag`
`protected short` `field_53_dywDispPag`
`protected byte` `field_6_docinfo1`
`protected byte` `field_7_docinfo2`
`protected short` `field_8_docinfo3`
`protected int` `field_9_dxaTab`

Constructor Summary
`protected` `DOPAbstractType()`

Method Summary
`protected void` `fillFields(byte[] data, int offset)`
`short` `getAdt()` Get the adt field for the DOP record.
`byte[]` `getAsumyi()` Get the asumyi field for the DOP record.
`int` `getCCh()` Get the cCh field for the DOP record.
`int` `getCChFtnEdn()` Get the cChFtnEdn field for the DOP record.
`int` `getCChWS()` Get the cChWS field for the DOP record.
`int` `getCChWSFtnEdn()` Get the cChWSFtnEdn field for the DOP record.
`int` `getCConsexHypLim()` Get the cConsexHypLim field for the DOP record.
`int` `getCDBC()` Get the cDBC field for the DOP record.
`int` `getCDBCFtnEdn()` Get the cDBCFtnEdn field for the DOP record.
`int` `getCLines()` Get the cLines field for the DOP record.
`int` `getCLinesFtnEdn()` Get the cLinesFtnEdn field for the DOP record.
`int` `getCParas()` Get the cParas field for the DOP record.
`int` `getCParasFtnEdn()` Get the cParasFtnEdn field for the DOP record.
`int` `getCPg()` Get the cPg field for the DOP record.
`short` `getCPgFtnEdn()` Get the cPgFtnEdn field for the DOP record.
`int` `getCWords()` Get the cWords field for the DOP record.
`int` `getCWordsFtnEnd()` Get the cWordsFtnEnd field for the DOP record.
`byte` `getDocinfo()` Get the docinfo field for the DOP record.
`byte` `getDocinfo1()` Get the docinfo1 field for the DOP record.
`byte` `getDocinfo2()` Get the docinfo2 field for the DOP record.
`short` `getDocinfo3()` Get the docinfo3 field for the DOP record.
`int` `getDocinfo4()` Get the docinfo4 field for the DOP record.
`short` `getDocinfo5()` Get the docinfo5 field for the DOP record.
`short` `getDocinfo6()` Get the docinfo6 field for the DOP record.
`byte[]` `getDogrid()` Get the dogrid field for the DOP record.
`byte[]` `getDoptypography()` Get the doptypography field for the DOP record.
`int` `getDttmCreated()` Get the dttmCreated field for the DOP record.
`int` `getDttmLastPrint()` Get the dttmLastPrint field for the DOP record.
`int` `getDttmRevised()` Get the dttmRevised field for the DOP record.
`int` `getDxaHotz()` Get the dxaHotz field for the DOP record.
`int` `getDxaTab()` Get the dxaTab field for the DOP record.
`short` `getDywDispPag()` Get the dywDispPag field for the DOP record.
`short` `getEdn()` Get the Edn field for the DOP record.
`short` `getEdn1()` Get the Edn1 field for the DOP record.
`byte` `getEpc()`
`short` `getFootnoteInfo()` Get the footnoteInfo field for the DOP record.
`byte` `getFormatFlags()` Get the formatFlags field for the DOP record.
`byte` `getFOutlineDirtySave()` Get the fOutlineDirtySave field for the DOP record.
`byte` `getFpc()`
`int` `getGrfDocEvents()` Get the grfDocEvents field for the DOP record.
`byte` `getGrfSupression()`
`short` `getHpsZoonFontPag()` Get the hpsZoonFontPag field for the DOP record.
`int` `getKeyVirusSession30()`
`int` `getLKeyProtDoc()` Get the lKeyProtDoc field for the DOP record.
`byte` `getLvl()`
`short` `getNEdn()`
`short` `getNfcEdnRef()` Get the nfcEdnRef field for the DOP record.
`byte` `getNfcEdnRef1()`
`short` `getNfcFtnRef()` Get the nfcFtnRef field for the DOP record.
`byte` `getNfcFtnRef1()`
`short` `getNFtn()`
`int` `getNRevision()` Get the nRevision field for the DOP record.
`int` `getReserved()` Get the reserved field for the DOP record.
`int` `getReserved1()` Get the reserved1 field for the DOP record.
`int` `getReserved2()` Get the reserved2 field for the DOP record.
`byte` `getRncEdn()`
`byte` `getRncFtn()`
`static int` `getSize()` Size of record
`byte[]` `getSpare()` Get the Spare field for the DOP record.
`int` `getTmEdited()` Get the tmEdited field for the DOP record.
`byte` `getUnused2()` Get the unused2 field for the DOP record.
`byte` `getUnused5()`
`short` `getView()` Get the view field for the DOP record.
`int` `getVirusinfo()` Get the virusinfo field for the DOP record.
`short` `getWScaleSaved()`
`int` `getWSpare()` Get the wSpare field for the DOP record.
`int` `getWSpare2()` Get the wSpare2 field for the DOP record.
`byte` `getWvkSaved()`
`byte` `getZkSaved()`
`boolean` `isFAutoHyphen()`
`boolean` `isFAutoVersions()`
`boolean` `isFBackup()`
`boolean` `isFConvMailMergeEsc()`
`boolean` `isFDfltTrueType()`
`boolean` `isFDispFormFldSel()`
`boolean` `isFEmbedFonts()`
`boolean` `isFExactCWords()`
`boolean` `isFFacingPages()`
`boolean` `isFForcePageSizePag()`
`boolean` `isFFormNoFields()`
`boolean` `isFGramAllClean()`
`boolean` `isFGramAllDone()`
`boolean` `isFHaveVersions()`
`boolean` `isFHideLastVersion()`
`boolean` `isFHtmlDoc()`
`boolean` `isFHyphCapitals()`
`boolean` `isFIncludeFooter()`
`boolean` `isFIncludeHeader()`
`boolean` `isFLabelDoc()`
`boolean` `isFLinkStyles()`
`boolean` `isFLockAtn()`
`boolean` `isFLockRev()`
`boolean` `isFMapPrintTextColor()`
`boolean` `isFMinFontSizePag()`
`boolean` `isFMirrorMargins()`
`boolean` `isFMWSmallCaps()`
`boolean` `isFNoColumnBalance()`
`boolean` `isFNoLeading()`
`boolean` `isFNoSpaceRaiseLower()`
`boolean` `isFNoTabForInd()`
`boolean` `isFOnlyMacPics()`
`boolean` `isFOnlyWinPics()`
`boolean` `isFOrigWordTableRules()`
`boolean` `isFPagHidden()`
`boolean` `isFPagResults()`
`boolean` `isFPagSupressTopSpacing()`
`boolean` `isFPMHMainDoc()`
`boolean` `isFPrintBodyBeforeHdr()`
`boolean` `isFPrintFormData()`
`boolean` `isFProtEnabled()`
`boolean` `isFRevMarking()`
`boolean` `isFRMPrint()`
`boolean` `isFRMView()`
`boolean` `isFRotateFontW6()`
`boolean` `isFSaveFormData()`
`boolean` `isFShadeFormData()`
`boolean` `isFShowBreaksInFrames()`
`boolean` `isFSnapBorder()`
`boolean` `isFSubsetFonts()`
`boolean` `isFSuppressTopSPacingMac5()`
`boolean` `isFSupressSpdfAfterPageBreak()`
`boolean` `isFSupressTopSpacing()`
`boolean` `isFSwapBordersFacingPgs()`
`boolean` `isFTransparentMetafiles()`
`boolean` `isFTruncDxaExpand()`
`boolean` `isFVirusLoadSafe()`
`boolean` `isFVirusPrompted()`
`boolean` `isFWCFtnEdn()`
`boolean` `isFWidowControl()`
`boolean` `isFWrapTrailSpaces()`
`boolean` `isIGutterPos()`
`boolean` `isOldfConvMailMergeEsc()`
`boolean` `isOldfMapPrintTextColor()`
`boolean` `isOldfNoColumnBalance()`
`boolean` `isOldfNoSpaceRaiseLower()`
`boolean` `isOldfNoTabForInd()`
`boolean` `isOldfOrigWordTableRules()`
`boolean` `isOldfShowBreaksInFrames()`
`boolean` `isOldfSuppressSpbfAfterPageBreak()`
`boolean` `isOldfSupressTopSpacing()`
`boolean` `isOldfSwapBordersFacingPgs()`
`boolean` `isOldfTransparentMetafiles()`
`boolean` `isOldfWrapTrailSpaces()`
`boolean` `isUnused1()`
`boolean` `isUnused3()`
`boolean` `isUnused4()`
`void` `serialize(byte[] data, int offset)`
`void` `setAdt(short field_34_adt)` Set the adt field for the DOP record.
`void` `setAsumyi(byte[] field_39_asumyi)` Set the asumyi field for the DOP record.
`void` `setCCh(int field_20_cCh)` Set the cCh field for the DOP record.
`void` `setCChFtnEdn(int field_27_cChFtnEdn)` Set the cChFtnEdn field for the DOP record.
`void` `setCChWS(int field_40_cChWS)` Set the cChWS field for the DOP record.
`void` `setCChWSFtnEdn(int field_41_cChWSFtnEdn)` Set the cChWSFtnEdn field for the DOP record.
`void` `setCConsexHypLim(int field_12_cConsexHypLim)` Set the cConsexHypLim field for the DOP record.
`void` `setCDBC(int field_47_cDBC)` Set the cDBC field for the DOP record.
`void` `setCDBCFtnEdn(int field_48_cDBCFtnEdn)` Set the cDBCFtnEdn field for the DOP record.
`void` `setCLines(int field_25_cLines)` Set the cLines field for the DOP record.
`void` `setCLinesFtnEdn(int field_30_cLinesFtnEdn)` Set the cLinesFtnEdn field for the DOP record.
`void` `setCParas(int field_22_cParas)` Set the cParas field for the DOP record.
`void` `setCParasFtnEdn(int field_29_cParasFtnEdn)` Set the cParasFtnEdn field for the DOP record.
`void` `setCPg(int field_21_cPg)` Set the cPg field for the DOP record.
`void` `setCPgFtnEdn(short field_28_cPgFtnEdn)` Set the cPgFtnEdn field for the DOP record.
`void` `setCWords(int field_19_cWords)` Set the cWords field for the DOP record.
`void` `setCWordsFtnEnd(int field_26_cWordsFtnEnd)` Set the cWordsFtnEnd field for the DOP record.
`void` `setDocinfo(byte field_5_docinfo)` Set the docinfo field for the DOP record.
`void` `setDocinfo1(byte field_6_docinfo1)` Set the docinfo1 field for the DOP record.
`void` `setDocinfo2(byte field_7_docinfo2)` Set the docinfo2 field for the DOP record.
`void` `setDocinfo3(short field_8_docinfo3)` Set the docinfo3 field for the DOP record.
`void` `setDocinfo4(int field_33_docinfo4)` Set the docinfo4 field for the DOP record.
`void` `setDocinfo5(short field_37_docinfo5)` Set the docinfo5 field for the DOP record.
`void` `setDocinfo6(short field_38_docinfo6)` Set the docinfo6 field for the DOP record.
`void` `setDogrid(byte[] field_36_dogrid)` Set the dogrid field for the DOP record.
`void` `setDoptypography(byte[] field_35_doptypography)` Set the doptypography field for the DOP record.
`void` `setDttmCreated(int field_14_dttmCreated)` Set the dttmCreated field for the DOP record.
`void` `setDttmLastPrint(int field_16_dttmLastPrint)` Set the dttmLastPrint field for the DOP record.
`void` `setDttmRevised(int field_15_dttmRevised)` Set the dttmRevised field for the DOP record.
`void` `setDxaHotz(int field_11_dxaHotz)` Set the dxaHotz field for the DOP record.
`void` `setDxaTab(int field_9_dxaTab)` Set the dxaTab field for the DOP record.
`void` `setDywDispPag(short field_53_dywDispPag)` Set the dywDispPag field for the DOP record.
`void` `setEdn(short field_23_Edn)` Set the Edn field for the DOP record.
`void` `setEdn1(short field_24_Edn1)` Set the Edn1 field for the DOP record.
`void` `setEpc(byte value)` Sets the epc field value.
`void` `setFAutoHyphen(boolean value)` Sets the fAutoHyphen field value.
`void` `setFAutoVersions(boolean value)` Sets the fAutoVersions field value.
`void` `setFBackup(boolean value)` Sets the fBackup field value.
`void` `setFConvMailMergeEsc(boolean value)` Sets the fConvMailMergeEsc field value.
`void` `setFDfltTrueType(boolean value)` Sets the fDfltTrueType field value.
`void` `setFDispFormFldSel(boolean value)` Sets the fDispFormFldSel field value.
`void` `setFEmbedFonts(boolean value)` Sets the fEmbedFonts field value.
`void` `setFExactCWords(boolean value)` Sets the fExactCWords field value.
`void` `setFFacingPages(boolean value)` Sets the fFacingPages field value.
`void` `setFForcePageSizePag(boolean value)` Sets the fForcePageSizePag field value.
`void` `setFFormNoFields(boolean value)` Sets the fFormNoFields field value.
`void` `setFGramAllClean(boolean value)` Sets the fGramAllClean field value.
`void` `setFGramAllDone(boolean value)` Sets the fGramAllDone field value.
`void` `setFHaveVersions(boolean value)` Sets the fHaveVersions field value.
`void` `setFHideLastVersion(boolean value)` Sets the fHideLastVersion field value.
`void` `setFHtmlDoc(boolean value)` Sets the fHtmlDoc field value.
`void` `setFHyphCapitals(boolean value)` Sets the fHyphCapitals field value.
`void` `setFIncludeFooter(boolean value)` Sets the fIncludeFooter field value.
`void` `setFIncludeHeader(boolean value)` Sets the fIncludeHeader field value.
`void` `setFLabelDoc(boolean value)` Sets the fLabelDoc field value.
`void` `setFLinkStyles(boolean value)` Sets the fLinkStyles field value.
`void` `setFLockAtn(boolean value)` Sets the fLockAtn field value.
`void` `setFLockRev(boolean value)` Sets the fLockRev field value.
`void` `setFMapPrintTextColor(boolean value)` Sets the fMapPrintTextColor field value.
`void` `setFMinFontSizePag(boolean value)` Sets the fMinFontSizePag field value.
`void` `setFMirrorMargins(boolean value)` Sets the fMirrorMargins field value.
`void` `setFMWSmallCaps(boolean value)` Sets the fMWSmallCaps field value.
`void` `setFNoColumnBalance(boolean value)` Sets the fNoColumnBalance field value.
`void` `setFNoLeading(boolean value)` Sets the fNoLeading field value.
`void` `setFNoSpaceRaiseLower(boolean value)` Sets the fNoSpaceRaiseLower field value.
`void` `setFNoTabForInd(boolean value)` Sets the fNoTabForInd field value.
`void` `setFOnlyMacPics(boolean value)` Sets the fOnlyMacPics field value.
`void` `setFOnlyWinPics(boolean value)` Sets the fOnlyWinPics field value.
`void` `setFootnoteInfo(short field_3_footnoteInfo)` Set the footnoteInfo field for the DOP record.
`void` `setFOrigWordTableRules(boolean value)` Sets the fOrigWordTableRules field value.
`void` `setFormatFlags(byte field_1_formatFlags)` Set the formatFlags field for the DOP record.
`void` `setFOutlineDirtySave(byte field_4_fOutlineDirtySave)` Set the fOutlineDirtySave field for the DOP record.
`void` `setFPagHidden(boolean value)` Sets the fPagHidden field value.
`void` `setFPagResults(boolean value)` Sets the fPagResults field value.
`void` `setFPagSupressTopSpacing(boolean value)` Sets the fPagSupressTopSpacing field value.
`void` `setFpc(byte value)` Sets the fpc field value.
`void` `setFPMHMainDoc(boolean value)` Sets the fPMHMainDoc field value.
`void` `setFPrintBodyBeforeHdr(boolean value)` Sets the fPrintBodyBeforeHdr field value.
`void` `setFPrintFormData(boolean value)` Sets the fPrintFormData field value.
`void` `setFProtEnabled(boolean value)` Sets the fProtEnabled field value.
`void` `setFRevMarking(boolean value)` Sets the fRevMarking field value.
`void` `setFRMPrint(boolean value)` Sets the fRMPrint field value.
`void` `setFRMView(boolean value)` Sets the fRMView field value.
`void` `setFRotateFontW6(boolean value)` Sets the fRotateFontW6 field value.
`void` `setFSaveFormData(boolean value)` Sets the fSaveFormData field value.
`void` `setFShadeFormData(boolean value)` Sets the fShadeFormData field value.
`void` `setFShowBreaksInFrames(boolean value)` Sets the fShowBreaksInFrames field value.
`void` `setFSnapBorder(boolean value)` Sets the fSnapBorder field value.
`void` `setFSubsetFonts(boolean value)` Sets the fSubsetFonts field value.
`void` `setFSuppressTopSPacingMac5(boolean value)` Sets the fSuppressTopSPacingMac5 field value.
`void` `setFSupressSpdfAfterPageBreak(boolean value)` Sets the fSupressSpdfAfterPageBreak field value.
`void` `setFSupressTopSpacing(boolean value)` Sets the fSupressTopSpacing field value.
`void` `setFSwapBordersFacingPgs(boolean value)` Sets the fSwapBordersFacingPgs field value.
`void` `setFTransparentMetafiles(boolean value)` Sets the fTransparentMetafiles field value.
`void` `setFTruncDxaExpand(boolean value)` Sets the fTruncDxaExpand field value.
`void` `setFVirusLoadSafe(boolean value)` Sets the fVirusLoadSafe field value.
`void` `setFVirusPrompted(boolean value)` Sets the fVirusPrompted field value.
`void` `setFWCFtnEdn(boolean value)` Sets the fWCFtnEdn field value.
`void` `setFWidowControl(boolean value)` Sets the fWidowControl field value.
`void` `setFWrapTrailSpaces(boolean value)` Sets the fWrapTrailSpaces field value.
`void` `setGrfDocEvents(int field_42_grfDocEvents)` Set the grfDocEvents field for the DOP record.
`void` `setGrfSupression(byte value)` Sets the grfSupression field value.
`void` `setHpsZoonFontPag(short field_52_hpsZoonFontPag)` Set the hpsZoonFontPag field for the DOP record.
`void` `setIGutterPos(boolean value)` Sets the iGutterPos field value.
`void` `setKeyVirusSession30(int value)` Sets the KeyVirusSession30 field value.
`void` `setLKeyProtDoc(int field_31_lKeyProtDoc)` Set the lKeyProtDoc field for the DOP record.
`void` `setLvl(byte value)` Sets the lvl field value.
`void` `setNEdn(short value)` Sets the nEdn field value.
`void` `setNfcEdnRef(short field_51_nfcEdnRef)` Set the nfcEdnRef field for the DOP record.
`void` `setNfcEdnRef1(byte value)` Sets the nfcEdnRef1 field value.
`void` `setNfcFtnRef(short field_50_nfcFtnRef)` Set the nfcFtnRef field for the DOP record.
`void` `setNfcFtnRef1(byte value)` Sets the nfcFtnRef1 field value.
`void` `setNFtn(short value)` Sets the nFtn field value.
`void` `setNRevision(int field_17_nRevision)` Set the nRevision field for the DOP record.
`void` `setOldfConvMailMergeEsc(boolean value)` Sets the oldfConvMailMergeEsc field value.
`void` `setOldfMapPrintTextColor(boolean value)` Sets the oldfMapPrintTextColor field value.
`void` `setOldfNoColumnBalance(boolean value)` Sets the oldfNoColumnBalance field value.
`void` `setOldfNoSpaceRaiseLower(boolean value)` Sets the oldfNoSpaceRaiseLower field value.
`void` `setOldfNoTabForInd(boolean value)` Sets the oldfNoTabForInd field value.
`void` `setOldfOrigWordTableRules(boolean value)` Sets the oldfOrigWordTableRules field value.
`void` `setOldfShowBreaksInFrames(boolean value)` Sets the oldfShowBreaksInFrames field value.
`void` `setOldfSuppressSpbfAfterPageBreak(boolean value)` Sets the oldfSuppressSpbfAfterPageBreak field value.
`void` `setOldfSupressTopSpacing(boolean value)` Sets the oldfSupressTopSpacing field value.
`void` `setOldfSwapBordersFacingPgs(boolean value)` Sets the oldfSwapBordersFacingPgs field value.
`void` `setOldfTransparentMetafiles(boolean value)` Sets the oldfTransparentMetafiles field value.
`void` `setOldfWrapTrailSpaces(boolean value)` Sets the oldfWrapTrailSpaces field value.
`void` `setReserved(int field_49_reserved)` Set the reserved field for the DOP record.
`void` `setReserved1(int field_45_reserved1)` Set the reserved1 field for the DOP record.
`void` `setReserved2(int field_46_reserved2)` Set the reserved2 field for the DOP record.
`void` `setRncEdn(byte value)` Sets the rncEdn field value.
`void` `setRncFtn(byte value)` Sets the rncFtn field value.
`void` `setSpare(byte[] field_44_Spare)` Set the Spare field for the DOP record.
`void` `setTmEdited(int field_18_tmEdited)` Set the tmEdited field for the DOP record.
`void` `setUnused1(boolean value)` Sets the unused1 field value.
`void` `setUnused2(byte field_2_unused2)` Set the unused2 field for the DOP record.
`void` `setUnused3(boolean value)` Sets the unused3 field value.
`void` `setUnused4(boolean value)` Sets the unused4 field value.
`void` `setUnused5(byte value)` Sets the unused5 field value.
`void` `setView(short field_32_view)` Set the view field for the DOP record.
`void` `setVirusinfo(int field_43_virusinfo)` Set the virusinfo field for the DOP record.
`void` `setWScaleSaved(short value)` Sets the wScaleSaved field value.
`void` `setWSpare(int field_10_wSpare)` Set the wSpare field for the DOP record.
`void` `setWSpare2(int field_13_wSpare2)` Set the wSpare2 field for the DOP record.
`void` `setWvkSaved(byte value)` Sets the wvkSaved field value.
`void` `setZkSaved(byte value)` Sets the zkSaved field value.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### field_1_formatFlags

    protected byte field_1_formatFlags

### field_2_unused2

    protected byte field_2_unused2

### field_3_footnoteInfo

    protected short field_3_footnoteInfo

### field_4_fOutlineDirtySave

    protected byte field_4_fOutlineDirtySave

### field_5_docinfo

    protected byte field_5_docinfo

### field_6_docinfo1

    protected byte field_6_docinfo1

### field_7_docinfo2

    protected byte field_7_docinfo2

### field_8_docinfo3

    protected short field_8_docinfo3

### field_9_dxaTab

    protected int field_9_dxaTab

### field_10_wSpare

    protected int field_10_wSpare

### field_11_dxaHotz

    protected int field_11_dxaHotz

### field_12_cConsexHypLim

    protected int field_12_cConsexHypLim

### field_13_wSpare2

    protected int field_13_wSpare2

### field_14_dttmCreated

    protected int field_14_dttmCreated

### field_15_dttmRevised

    protected int field_15_dttmRevised

### field_16_dttmLastPrint

    protected int field_16_dttmLastPrint

### field_17_nRevision

    protected int field_17_nRevision

### field_18_tmEdited

    protected int field_18_tmEdited

### field_19_cWords

    protected int field_19_cWords

### field_20_cCh

    protected int field_20_cCh

### field_21_cPg

    protected int field_21_cPg

### field_22_cParas

    protected int field_22_cParas

### field_23_Edn

    protected short field_23_Edn

### field_24_Edn1

    protected short field_24_Edn1

### field_25_cLines

    protected int field_25_cLines

### field_26_cWordsFtnEnd

    protected int field_26_cWordsFtnEnd

### field_27_cChFtnEdn

    protected int field_27_cChFtnEdn

### field_28_cPgFtnEdn

    protected short field_28_cPgFtnEdn

### field_29_cParasFtnEdn

    protected int field_29_cParasFtnEdn

### field_30_cLinesFtnEdn

    protected int field_30_cLinesFtnEdn

### field_31_lKeyProtDoc

    protected int field_31_lKeyProtDoc

### field_32_view

    protected short field_32_view

### field_33_docinfo4

    protected int field_33_docinfo4

### field_34_adt

    protected short field_34_adt

### field_35_doptypography

    protected byte[] field_35_doptypography

### field_36_dogrid

    protected byte[] field_36_dogrid

### field_37_docinfo5

    protected short field_37_docinfo5

### field_38_docinfo6

    protected short field_38_docinfo6

### field_39_asumyi

    protected byte[] field_39_asumyi

### field_40_cChWS

    protected int field_40_cChWS

### field_41_cChWSFtnEdn

    protected int field_41_cChWSFtnEdn

### field_42_grfDocEvents

    protected int field_42_grfDocEvents

### field_43_virusinfo

    protected int field_43_virusinfo

### field_44_Spare

    protected byte[] field_44_Spare

### field_45_reserved1

    protected int field_45_reserved1

### field_46_reserved2

    protected int field_46_reserved2

### field_47_cDBC

    protected int field_47_cDBC

### field_48_cDBCFtnEdn

    protected int field_48_cDBCFtnEdn

### field_49_reserved

    protected int field_49_reserved

### field_50_nfcFtnRef

    protected short field_50_nfcFtnRef

### field_51_nfcEdnRef

    protected short field_51_nfcEdnRef

### field_52_hpsZoonFontPag

    protected short field_52_hpsZoonFontPag

### field_53_dywDispPag

    protected short field_53_dywDispPag

Constructor Detail

### DOPAbstractType

    protected DOPAbstractType()

Method Detail

### fillFields

    protected void fillFields(byte[] data,
                              int offset)

### serialize

    public void serialize(byte[] data,
                          int offset)

### getSize

    public static int getSize()

  Size of record

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getFormatFlags

    @Internal
    public byte getFormatFlags()

  Get the formatFlags field for the DOP record.

### setFormatFlags

    @Internal
    public void setFormatFlags(byte field_1_formatFlags)

  Set the formatFlags field for the DOP record.

### getUnused2

    @Internal
    public byte getUnused2()

  Get the unused2 field for the DOP record.

### setUnused2

    @Internal
    public void setUnused2(byte field_2_unused2)

  Set the unused2 field for the DOP record.

### getFootnoteInfo

    @Internal
    public short getFootnoteInfo()

  Get the footnoteInfo field for the DOP record.

### setFootnoteInfo

    @Internal
    public void setFootnoteInfo(short field_3_footnoteInfo)

  Set the footnoteInfo field for the DOP record.

### getFOutlineDirtySave

    @Internal
    public byte getFOutlineDirtySave()

  Get the fOutlineDirtySave field for the DOP record.

### setFOutlineDirtySave

    @Internal
    public void setFOutlineDirtySave(byte field_4_fOutlineDirtySave)

  Set the fOutlineDirtySave field for the DOP record.

### getDocinfo

    @Internal
    public byte getDocinfo()

  Get the docinfo field for the DOP record.

### setDocinfo

    @Internal
    public void setDocinfo(byte field_5_docinfo)

  Set the docinfo field for the DOP record.

### getDocinfo1

    @Internal
    public byte getDocinfo1()

  Get the docinfo1 field for the DOP record.

### setDocinfo1

    @Internal
    public void setDocinfo1(byte field_6_docinfo1)

  Set the docinfo1 field for the DOP record.

### getDocinfo2

    @Internal
    public byte getDocinfo2()

  Get the docinfo2 field for the DOP record.

### setDocinfo2

    @Internal
    public void setDocinfo2(byte field_7_docinfo2)

  Set the docinfo2 field for the DOP record.

### getDocinfo3

    @Internal
    public short getDocinfo3()

  Get the docinfo3 field for the DOP record.

### setDocinfo3

    @Internal
    public void setDocinfo3(short field_8_docinfo3)

  Set the docinfo3 field for the DOP record.

### getDxaTab

    @Internal
    public int getDxaTab()

  Get the dxaTab field for the DOP record.

### setDxaTab

    @Internal
    public void setDxaTab(int field_9_dxaTab)

  Set the dxaTab field for the DOP record.

### getWSpare

    @Internal
    public int getWSpare()

  Get the wSpare field for the DOP record.

### setWSpare

    @Internal
    public void setWSpare(int field_10_wSpare)

  Set the wSpare field for the DOP record.

### getDxaHotz

    @Internal
    public int getDxaHotz()

  Get the dxaHotz field for the DOP record.

### setDxaHotz

    @Internal
    public void setDxaHotz(int field_11_dxaHotz)

  Set the dxaHotz field for the DOP record.

### getCConsexHypLim

    @Internal
    public int getCConsexHypLim()

  Get the cConsexHypLim field for the DOP record.

### setCConsexHypLim

    @Internal
    public void setCConsexHypLim(int field_12_cConsexHypLim)

  Set the cConsexHypLim field for the DOP record.

### getWSpare2

    @Internal
    public int getWSpare2()

  Get the wSpare2 field for the DOP record.

### setWSpare2

    @Internal
    public void setWSpare2(int field_13_wSpare2)

  Set the wSpare2 field for the DOP record.

### getDttmCreated

    @Internal
    public int getDttmCreated()

  Get the dttmCreated field for the DOP record.

### setDttmCreated

    @Internal
    public void setDttmCreated(int field_14_dttmCreated)

  Set the dttmCreated field for the DOP record.

### getDttmRevised

    @Internal
    public int getDttmRevised()

  Get the dttmRevised field for the DOP record.

### setDttmRevised

    @Internal
    public void setDttmRevised(int field_15_dttmRevised)

  Set the dttmRevised field for the DOP record.

### getDttmLastPrint

    @Internal
    public int getDttmLastPrint()

  Get the dttmLastPrint field for the DOP record.

### setDttmLastPrint

    @Internal
    public void setDttmLastPrint(int field_16_dttmLastPrint)

  Set the dttmLastPrint field for the DOP record.

### getNRevision

    @Internal
    public int getNRevision()

  Get the nRevision field for the DOP record.

### setNRevision

    @Internal
    public void setNRevision(int field_17_nRevision)

  Set the nRevision field for the DOP record.

### getTmEdited

    @Internal
    public int getTmEdited()

  Get the tmEdited field for the DOP record.

### setTmEdited

    @Internal
    public void setTmEdited(int field_18_tmEdited)

  Set the tmEdited field for the DOP record.

### getCWords

    @Internal
    public int getCWords()

  Get the cWords field for the DOP record.

### setCWords

    @Internal
    public void setCWords(int field_19_cWords)

  Set the cWords field for the DOP record.

### getCCh

    @Internal
    public int getCCh()

  Get the cCh field for the DOP record.

### setCCh

    @Internal
    public void setCCh(int field_20_cCh)

  Set the cCh field for the DOP record.

### getCPg

    @Internal
    public int getCPg()

  Get the cPg field for the DOP record.

### setCPg

    @Internal
    public void setCPg(int field_21_cPg)

  Set the cPg field for the DOP record.

### getCParas

    @Internal
    public int getCParas()

  Get the cParas field for the DOP record.

### setCParas

    @Internal
    public void setCParas(int field_22_cParas)

  Set the cParas field for the DOP record.

### getEdn

    @Internal
    public short getEdn()

  Get the Edn field for the DOP record.

### setEdn

    @Internal
    public void setEdn(short field_23_Edn)

  Set the Edn field for the DOP record.

### getEdn1

    @Internal
    public short getEdn1()

  Get the Edn1 field for the DOP record.

### setEdn1

    @Internal
    public void setEdn1(short field_24_Edn1)

  Set the Edn1 field for the DOP record.

### getCLines

    @Internal
    public int getCLines()

  Get the cLines field for the DOP record.

### setCLines

    @Internal
    public void setCLines(int field_25_cLines)

  Set the cLines field for the DOP record.

### getCWordsFtnEnd

    @Internal
    public int getCWordsFtnEnd()

  Get the cWordsFtnEnd field for the DOP record.

### setCWordsFtnEnd

    @Internal
    public void setCWordsFtnEnd(int field_26_cWordsFtnEnd)

  Set the cWordsFtnEnd field for the DOP record.

### getCChFtnEdn

    @Internal
    public int getCChFtnEdn()

  Get the cChFtnEdn field for the DOP record.

### setCChFtnEdn

    @Internal
    public void setCChFtnEdn(int field_27_cChFtnEdn)

  Set the cChFtnEdn field for the DOP record.

### getCPgFtnEdn

    @Internal
    public short getCPgFtnEdn()

  Get the cPgFtnEdn field for the DOP record.

### setCPgFtnEdn

    @Internal
    public void setCPgFtnEdn(short field_28_cPgFtnEdn)

  Set the cPgFtnEdn field for the DOP record.

### getCParasFtnEdn

    @Internal
    public int getCParasFtnEdn()

  Get the cParasFtnEdn field for the DOP record.

### setCParasFtnEdn

    @Internal
    public void setCParasFtnEdn(int field_29_cParasFtnEdn)

  Set the cParasFtnEdn field for the DOP record.

### getCLinesFtnEdn

    @Internal
    public int getCLinesFtnEdn()

  Get the cLinesFtnEdn field for the DOP record.

### setCLinesFtnEdn

    @Internal
    public void setCLinesFtnEdn(int field_30_cLinesFtnEdn)

  Set the cLinesFtnEdn field for the DOP record.

### getLKeyProtDoc

    @Internal
    public int getLKeyProtDoc()

  Get the lKeyProtDoc field for the DOP record.

### setLKeyProtDoc

    @Internal
    public void setLKeyProtDoc(int field_31_lKeyProtDoc)

  Set the lKeyProtDoc field for the DOP record.

### getView

    @Internal
    public short getView()

  Get the view field for the DOP record.

### setView

    @Internal
    public void setView(short field_32_view)

  Set the view field for the DOP record.

### getDocinfo4

    @Internal
    public int getDocinfo4()

  Get the docinfo4 field for the DOP record.

### setDocinfo4

    @Internal
    public void setDocinfo4(int field_33_docinfo4)

  Set the docinfo4 field for the DOP record.

### getAdt

    @Internal
    public short getAdt()

  Get the adt field for the DOP record.

### setAdt

    @Internal
    public void setAdt(short field_34_adt)

  Set the adt field for the DOP record.

### getDoptypography

    @Internal
    public byte[] getDoptypography()

  Get the doptypography field for the DOP record.

### setDoptypography

    @Internal
    public void setDoptypography(byte[] field_35_doptypography)

  Set the doptypography field for the DOP record.

### getDogrid

    @Internal
    public byte[] getDogrid()

  Get the dogrid field for the DOP record.

### setDogrid

    @Internal
    public void setDogrid(byte[] field_36_dogrid)

  Set the dogrid field for the DOP record.

### getDocinfo5

    @Internal
    public short getDocinfo5()

  Get the docinfo5 field for the DOP record.

### setDocinfo5

    @Internal
    public void setDocinfo5(short field_37_docinfo5)

  Set the docinfo5 field for the DOP record.

### getDocinfo6

    @Internal
    public short getDocinfo6()

  Get the docinfo6 field for the DOP record.

### setDocinfo6

    @Internal
    public void setDocinfo6(short field_38_docinfo6)

  Set the docinfo6 field for the DOP record.

### getAsumyi

    @Internal
    public byte[] getAsumyi()

  Get the asumyi field for the DOP record.

### setAsumyi

    @Internal
    public void setAsumyi(byte[] field_39_asumyi)

  Set the asumyi field for the DOP record.

### getCChWS

    @Internal
    public int getCChWS()

  Get the cChWS field for the DOP record.

### setCChWS

    @Internal
    public void setCChWS(int field_40_cChWS)

  Set the cChWS field for the DOP record.

### getCChWSFtnEdn

    @Internal
    public int getCChWSFtnEdn()

  Get the cChWSFtnEdn field for the DOP record.

### setCChWSFtnEdn

    @Internal
    public void setCChWSFtnEdn(int field_41_cChWSFtnEdn)

  Set the cChWSFtnEdn field for the DOP record.

### getGrfDocEvents

    @Internal
    public int getGrfDocEvents()

  Get the grfDocEvents field for the DOP record.

### setGrfDocEvents

    @Internal
    public void setGrfDocEvents(int field_42_grfDocEvents)

  Set the grfDocEvents field for the DOP record.

### getVirusinfo

    @Internal
    public int getVirusinfo()

  Get the virusinfo field for the DOP record.

### setVirusinfo

    @Internal
    public void setVirusinfo(int field_43_virusinfo)

  Set the virusinfo field for the DOP record.

### getSpare

    @Internal
    public byte[] getSpare()

  Get the Spare field for the DOP record.

### setSpare

    @Internal
    public void setSpare(byte[] field_44_Spare)

  Set the Spare field for the DOP record.

### getReserved1

    @Internal
    public int getReserved1()

  Get the reserved1 field for the DOP record.

### setReserved1

    @Internal
    public void setReserved1(int field_45_reserved1)

  Set the reserved1 field for the DOP record.

### getReserved2

    @Internal
    public int getReserved2()

  Get the reserved2 field for the DOP record.

### setReserved2

    @Internal
    public void setReserved2(int field_46_reserved2)

  Set the reserved2 field for the DOP record.

### getCDBC

    @Internal
    public int getCDBC()

  Get the cDBC field for the DOP record.

### setCDBC

    @Internal
    public void setCDBC(int field_47_cDBC)

  Set the cDBC field for the DOP record.

### getCDBCFtnEdn

    @Internal
    public int getCDBCFtnEdn()

  Get the cDBCFtnEdn field for the DOP record.

### setCDBCFtnEdn

    @Internal
    public void setCDBCFtnEdn(int field_48_cDBCFtnEdn)

  Set the cDBCFtnEdn field for the DOP record.

### getReserved

    @Internal
    public int getReserved()

  Get the reserved field for the DOP record.

### setReserved

    @Internal
    public void setReserved(int field_49_reserved)

  Set the reserved field for the DOP record.

### getNfcFtnRef

    @Internal
    public short getNfcFtnRef()

  Get the nfcFtnRef field for the DOP record.

### setNfcFtnRef

    @Internal
    public void setNfcFtnRef(short field_50_nfcFtnRef)

  Set the nfcFtnRef field for the DOP record.

### getNfcEdnRef

    @Internal
    public short getNfcEdnRef()

  Get the nfcEdnRef field for the DOP record.

### setNfcEdnRef

    @Internal
    public void setNfcEdnRef(short field_51_nfcEdnRef)

  Set the nfcEdnRef field for the DOP record.

### getHpsZoonFontPag

    @Internal
    public short getHpsZoonFontPag()

  Get the hpsZoonFontPag field for the DOP record.

### setHpsZoonFontPag

    @Internal
    public void setHpsZoonFontPag(short field_52_hpsZoonFontPag)

  Set the hpsZoonFontPag field for the DOP record.

### getDywDispPag

    @Internal
    public short getDywDispPag()

  Get the dywDispPag field for the DOP record.

### setDywDispPag

    @Internal
    public void setDywDispPag(short field_53_dywDispPag)

  Set the dywDispPag field for the DOP record.

### setFFacingPages

    @Internal
    public void setFFacingPages(boolean value)

  Sets the fFacingPages field value.

### isFFacingPages

    @Internal
    public boolean isFFacingPages()

  Returns:
    the fFacingPages field value.

### setFWidowControl

    @Internal
    public void setFWidowControl(boolean value)

  Sets the fWidowControl field value.

### isFWidowControl

    @Internal
    public boolean isFWidowControl()

  Returns:
    the fWidowControl field value.

### setFPMHMainDoc

    @Internal
    public void setFPMHMainDoc(boolean value)

  Sets the fPMHMainDoc field value.

### isFPMHMainDoc

    @Internal
    public boolean isFPMHMainDoc()

  Returns:
    the fPMHMainDoc field value.

### setGrfSupression

    @Internal
    public void setGrfSupression(byte value)

  Sets the grfSupression field value.

### getGrfSupression

    @Internal
    public byte getGrfSupression()

  Returns:
    the grfSupression field value.

### setFpc

    @Internal
    public void setFpc(byte value)

  Sets the fpc field value.

### getFpc

    @Internal
    public byte getFpc()

  Returns:
    the fpc field value.

### setUnused1

    @Internal
    public void setUnused1(boolean value)

  Sets the unused1 field value.

### isUnused1

    @Internal
    public boolean isUnused1()

  Returns:
    the unused1 field value.

### setRncFtn

    @Internal
    public void setRncFtn(byte value)

  Sets the rncFtn field value.

### getRncFtn

    @Internal
    public byte getRncFtn()

  Returns:
    the rncFtn field value.

### setNFtn

    @Internal
    public void setNFtn(short value)

  Sets the nFtn field value.

### getNFtn

    @Internal
    public short getNFtn()

  Returns:
    the nFtn field value.

### setFOnlyMacPics

    @Internal
    public void setFOnlyMacPics(boolean value)

  Sets the fOnlyMacPics field value.

### isFOnlyMacPics

    @Internal
    public boolean isFOnlyMacPics()

  Returns:
    the fOnlyMacPics field value.

### setFOnlyWinPics

    @Internal
    public void setFOnlyWinPics(boolean value)

  Sets the fOnlyWinPics field value.

### isFOnlyWinPics

    @Internal
    public boolean isFOnlyWinPics()

  Returns:
    the fOnlyWinPics field value.

### setFLabelDoc

    @Internal
    public void setFLabelDoc(boolean value)

  Sets the fLabelDoc field value.

### isFLabelDoc

    @Internal
    public boolean isFLabelDoc()

  Returns:
    the fLabelDoc field value.

### setFHyphCapitals

    @Internal
    public void setFHyphCapitals(boolean value)

  Sets the fHyphCapitals field value.

### isFHyphCapitals

    @Internal
    public boolean isFHyphCapitals()

  Returns:
    the fHyphCapitals field value.

### setFAutoHyphen

    @Internal
    public void setFAutoHyphen(boolean value)

  Sets the fAutoHyphen field value.

### isFAutoHyphen

    @Internal
    public boolean isFAutoHyphen()

  Returns:
    the fAutoHyphen field value.

### setFFormNoFields

    @Internal
    public void setFFormNoFields(boolean value)

  Sets the fFormNoFields field value.

### isFFormNoFields

    @Internal
    public boolean isFFormNoFields()

  Returns:
    the fFormNoFields field value.

### setFLinkStyles

    @Internal
    public void setFLinkStyles(boolean value)

  Sets the fLinkStyles field value.

### isFLinkStyles

    @Internal
    public boolean isFLinkStyles()

  Returns:
    the fLinkStyles field value.

### setFRevMarking

    @Internal
    public void setFRevMarking(boolean value)

  Sets the fRevMarking field value.

### isFRevMarking

    @Internal
    public boolean isFRevMarking()

  Returns:
    the fRevMarking field value.

### setFBackup

    @Internal
    public void setFBackup(boolean value)

  Sets the fBackup field value.

### isFBackup

    @Internal
    public boolean isFBackup()

  Returns:
    the fBackup field value.

### setFExactCWords

    @Internal
    public void setFExactCWords(boolean value)

  Sets the fExactCWords field value.

### isFExactCWords

    @Internal
    public boolean isFExactCWords()

  Returns:
    the fExactCWords field value.

### setFPagHidden

    @Internal
    public void setFPagHidden(boolean value)

  Sets the fPagHidden field value.

### isFPagHidden

    @Internal
    public boolean isFPagHidden()

  Returns:
    the fPagHidden field value.

### setFPagResults

    @Internal
    public void setFPagResults(boolean value)

  Sets the fPagResults field value.

### isFPagResults

    @Internal
    public boolean isFPagResults()

  Returns:
    the fPagResults field value.

### setFLockAtn

    @Internal
    public void setFLockAtn(boolean value)

  Sets the fLockAtn field value.

### isFLockAtn

    @Internal
    public boolean isFLockAtn()

  Returns:
    the fLockAtn field value.

### setFMirrorMargins

    @Internal
    public void setFMirrorMargins(boolean value)

  Sets the fMirrorMargins field value.

### isFMirrorMargins

    @Internal
    public boolean isFMirrorMargins()

  Returns:
    the fMirrorMargins field value.

### setUnused3

    @Internal
    public void setUnused3(boolean value)

  Sets the unused3 field value.

### isUnused3

    @Internal
    public boolean isUnused3()

  Returns:
    the unused3 field value.

### setFDfltTrueType

    @Internal
    public void setFDfltTrueType(boolean value)

  Sets the fDfltTrueType field value.

### isFDfltTrueType

    @Internal
    public boolean isFDfltTrueType()

  Returns:
    the fDfltTrueType field value.

### setFPagSupressTopSpacing

    @Internal
    public void setFPagSupressTopSpacing(boolean value)

  Sets the fPagSupressTopSpacing field value.

### isFPagSupressTopSpacing

    @Internal
    public boolean isFPagSupressTopSpacing()

  Returns:
    the fPagSupressTopSpacing field value.

### setFProtEnabled

    @Internal
    public void setFProtEnabled(boolean value)

  Sets the fProtEnabled field value.

### isFProtEnabled

    @Internal
    public boolean isFProtEnabled()

  Returns:
    the fProtEnabled field value.

### setFDispFormFldSel

    @Internal
    public void setFDispFormFldSel(boolean value)

  Sets the fDispFormFldSel field value.

### isFDispFormFldSel

    @Internal
    public boolean isFDispFormFldSel()

  Returns:
    the fDispFormFldSel field value.

### setFRMView

    @Internal
    public void setFRMView(boolean value)

  Sets the fRMView field value.

### isFRMView

    @Internal
    public boolean isFRMView()

  Returns:
    the fRMView field value.

### setFRMPrint

    @Internal
    public void setFRMPrint(boolean value)

  Sets the fRMPrint field value.

### isFRMPrint

    @Internal
    public boolean isFRMPrint()

  Returns:
    the fRMPrint field value.

### setUnused4

    @Internal
    public void setUnused4(boolean value)

  Sets the unused4 field value.

### isUnused4

    @Internal
    public boolean isUnused4()

  Returns:
    the unused4 field value.

### setFLockRev

    @Internal
    public void setFLockRev(boolean value)

  Sets the fLockRev field value.

### isFLockRev

    @Internal
    public boolean isFLockRev()

  Returns:
    the fLockRev field value.

### setFEmbedFonts

    @Internal
    public void setFEmbedFonts(boolean value)

  Sets the fEmbedFonts field value.

### isFEmbedFonts

    @Internal
    public boolean isFEmbedFonts()

  Returns:
    the fEmbedFonts field value.

### setOldfNoTabForInd

    @Internal
    public void setOldfNoTabForInd(boolean value)

  Sets the oldfNoTabForInd field value.

### isOldfNoTabForInd

    @Internal
    public boolean isOldfNoTabForInd()

  Returns:
    the oldfNoTabForInd field value.

### setOldfNoSpaceRaiseLower

    @Internal
    public void setOldfNoSpaceRaiseLower(boolean value)

  Sets the oldfNoSpaceRaiseLower field value.

### isOldfNoSpaceRaiseLower

    @Internal
    public boolean isOldfNoSpaceRaiseLower()

  Returns:
    the oldfNoSpaceRaiseLower field value.

### setOldfSuppressSpbfAfterPageBreak

    @Internal
    public void setOldfSuppressSpbfAfterPageBreak(boolean value)

  Sets the oldfSuppressSpbfAfterPageBreak field value.

### isOldfSuppressSpbfAfterPageBreak

    @Internal
    public boolean isOldfSuppressSpbfAfterPageBreak()

  Returns:
    the oldfSuppressSpbfAfterPageBreak field value.

### setOldfWrapTrailSpaces

    @Internal
    public void setOldfWrapTrailSpaces(boolean value)

  Sets the oldfWrapTrailSpaces field value.

### isOldfWrapTrailSpaces

    @Internal
    public boolean isOldfWrapTrailSpaces()

  Returns:
    the oldfWrapTrailSpaces field value.

### setOldfMapPrintTextColor

    @Internal
    public void setOldfMapPrintTextColor(boolean value)

  Sets the oldfMapPrintTextColor field value.

### isOldfMapPrintTextColor

    @Internal
    public boolean isOldfMapPrintTextColor()

  Returns:
    the oldfMapPrintTextColor field value.

### setOldfNoColumnBalance

    @Internal
    public void setOldfNoColumnBalance(boolean value)

  Sets the oldfNoColumnBalance field value.

### isOldfNoColumnBalance

    @Internal
    public boolean isOldfNoColumnBalance()

  Returns:
    the oldfNoColumnBalance field value.

### setOldfConvMailMergeEsc

    @Internal
    public void setOldfConvMailMergeEsc(boolean value)

  Sets the oldfConvMailMergeEsc field value.

### isOldfConvMailMergeEsc

    @Internal
    public boolean isOldfConvMailMergeEsc()

  Returns:
    the oldfConvMailMergeEsc field value.

### setOldfSupressTopSpacing

    @Internal
    public void setOldfSupressTopSpacing(boolean value)

  Sets the oldfSupressTopSpacing field value.

### isOldfSupressTopSpacing

    @Internal
    public boolean isOldfSupressTopSpacing()

  Returns:
    the oldfSupressTopSpacing field value.

### setOldfOrigWordTableRules

    @Internal
    public void setOldfOrigWordTableRules(boolean value)

  Sets the oldfOrigWordTableRules field value.

### isOldfOrigWordTableRules

    @Internal
    public boolean isOldfOrigWordTableRules()

  Returns:
    the oldfOrigWordTableRules field value.

### setOldfTransparentMetafiles

    @Internal
    public void setOldfTransparentMetafiles(boolean value)

  Sets the oldfTransparentMetafiles field value.

### isOldfTransparentMetafiles

    @Internal
    public boolean isOldfTransparentMetafiles()

  Returns:
    the oldfTransparentMetafiles field value.

### setOldfShowBreaksInFrames

    @Internal
    public void setOldfShowBreaksInFrames(boolean value)

  Sets the oldfShowBreaksInFrames field value.

### isOldfShowBreaksInFrames

    @Internal
    public boolean isOldfShowBreaksInFrames()

  Returns:
    the oldfShowBreaksInFrames field value.

### setOldfSwapBordersFacingPgs

    @Internal
    public void setOldfSwapBordersFacingPgs(boolean value)

  Sets the oldfSwapBordersFacingPgs field value.

### isOldfSwapBordersFacingPgs

    @Internal
    public boolean isOldfSwapBordersFacingPgs()

  Returns:
    the oldfSwapBordersFacingPgs field value.

### setUnused5

    @Internal
    public void setUnused5(byte value)

  Sets the unused5 field value.

### getUnused5

    @Internal
    public byte getUnused5()

  Returns:
    the unused5 field value.

### setRncEdn

    @Internal
    public void setRncEdn(byte value)

  Sets the rncEdn field value.

### getRncEdn

    @Internal
    public byte getRncEdn()

  Returns:
    the rncEdn field value.

### setNEdn

    @Internal
    public void setNEdn(short value)

  Sets the nEdn field value.

### getNEdn

    @Internal
    public short getNEdn()

  Returns:
    the nEdn field value.

### setEpc

    @Internal
    public void setEpc(byte value)

  Sets the epc field value.

### getEpc

    @Internal
    public byte getEpc()

  Returns:
    the epc field value.

### setNfcFtnRef1

    @Internal
    public void setNfcFtnRef1(byte value)

  Sets the nfcFtnRef1 field value.

### getNfcFtnRef1

    @Internal
    public byte getNfcFtnRef1()

  Returns:
    the nfcFtnRef1 field value.

### setNfcEdnRef1

    @Internal
    public void setNfcEdnRef1(byte value)

  Sets the nfcEdnRef1 field value.

### getNfcEdnRef1

    @Internal
    public byte getNfcEdnRef1()

  Returns:
    the nfcEdnRef1 field value.

### setFPrintFormData

    @Internal
    public void setFPrintFormData(boolean value)

  Sets the fPrintFormData field value.

### isFPrintFormData

    @Internal
    public boolean isFPrintFormData()

  Returns:
    the fPrintFormData field value.

### setFSaveFormData

    @Internal
    public void setFSaveFormData(boolean value)

  Sets the fSaveFormData field value.

### isFSaveFormData

    @Internal
    public boolean isFSaveFormData()

  Returns:
    the fSaveFormData field value.

### setFShadeFormData

    @Internal
    public void setFShadeFormData(boolean value)

  Sets the fShadeFormData field value.

### isFShadeFormData

    @Internal
    public boolean isFShadeFormData()

  Returns:
    the fShadeFormData field value.

### setFWCFtnEdn

    @Internal
    public void setFWCFtnEdn(boolean value)

  Sets the fWCFtnEdn field value.

### isFWCFtnEdn

    @Internal
    public boolean isFWCFtnEdn()

  Returns:
    the fWCFtnEdn field value.

### setWvkSaved

    @Internal
    public void setWvkSaved(byte value)

  Sets the wvkSaved field value.

### getWvkSaved

    @Internal
    public byte getWvkSaved()

  Returns:
    the wvkSaved field value.

### setWScaleSaved

    @Internal
    public void setWScaleSaved(short value)

  Sets the wScaleSaved field value.

### getWScaleSaved

    @Internal
    public short getWScaleSaved()

  Returns:
    the wScaleSaved field value.

### setZkSaved

    @Internal
    public void setZkSaved(byte value)

  Sets the zkSaved field value.

### getZkSaved

    @Internal
    public byte getZkSaved()

  Returns:
    the zkSaved field value.

### setFRotateFontW6

    @Internal
    public void setFRotateFontW6(boolean value)

  Sets the fRotateFontW6 field value.

### isFRotateFontW6

    @Internal
    public boolean isFRotateFontW6()

  Returns:
    the fRotateFontW6 field value.

### setIGutterPos

    @Internal
    public void setIGutterPos(boolean value)

  Sets the iGutterPos field value.

### isIGutterPos

    @Internal
    public boolean isIGutterPos()

  Returns:
    the iGutterPos field value.

### setFNoTabForInd

    @Internal
    public void setFNoTabForInd(boolean value)

  Sets the fNoTabForInd field value.

### isFNoTabForInd

    @Internal
    public boolean isFNoTabForInd()

  Returns:
    the fNoTabForInd field value.

### setFNoSpaceRaiseLower

    @Internal
    public void setFNoSpaceRaiseLower(boolean value)

  Sets the fNoSpaceRaiseLower field value.

### isFNoSpaceRaiseLower

    @Internal
    public boolean isFNoSpaceRaiseLower()

  Returns:
    the fNoSpaceRaiseLower field value.

### setFSupressSpdfAfterPageBreak

    @Internal
    public void setFSupressSpdfAfterPageBreak(boolean value)

  Sets the fSupressSpdfAfterPageBreak field value.

### isFSupressSpdfAfterPageBreak

    @Internal
    public boolean isFSupressSpdfAfterPageBreak()

  Returns:
    the fSupressSpdfAfterPageBreak field value.

### setFWrapTrailSpaces

    @Internal
    public void setFWrapTrailSpaces(boolean value)

  Sets the fWrapTrailSpaces field value.

### isFWrapTrailSpaces

    @Internal
    public boolean isFWrapTrailSpaces()

  Returns:
    the fWrapTrailSpaces field value.

### setFMapPrintTextColor

    @Internal
    public void setFMapPrintTextColor(boolean value)

  Sets the fMapPrintTextColor field value.

### isFMapPrintTextColor

    @Internal
    public boolean isFMapPrintTextColor()

  Returns:
    the fMapPrintTextColor field value.

### setFNoColumnBalance

    @Internal
    public void setFNoColumnBalance(boolean value)

  Sets the fNoColumnBalance field value.

### isFNoColumnBalance

    @Internal
    public boolean isFNoColumnBalance()

  Returns:
    the fNoColumnBalance field value.

### setFConvMailMergeEsc

    @Internal
    public void setFConvMailMergeEsc(boolean value)

  Sets the fConvMailMergeEsc field value.

### isFConvMailMergeEsc

    @Internal
    public boolean isFConvMailMergeEsc()

  Returns:
    the fConvMailMergeEsc field value.

### setFSupressTopSpacing

    @Internal
    public void setFSupressTopSpacing(boolean value)

  Sets the fSupressTopSpacing field value.

### isFSupressTopSpacing

    @Internal
    public boolean isFSupressTopSpacing()

  Returns:
    the fSupressTopSpacing field value.

### setFOrigWordTableRules

    @Internal
    public void setFOrigWordTableRules(boolean value)

  Sets the fOrigWordTableRules field value.

### isFOrigWordTableRules

    @Internal
    public boolean isFOrigWordTableRules()

  Returns:
    the fOrigWordTableRules field value.

### setFTransparentMetafiles

    @Internal
    public void setFTransparentMetafiles(boolean value)

  Sets the fTransparentMetafiles field value.

### isFTransparentMetafiles

    @Internal
    public boolean isFTransparentMetafiles()

  Returns:
    the fTransparentMetafiles field value.

### setFShowBreaksInFrames

    @Internal
    public void setFShowBreaksInFrames(boolean value)

  Sets the fShowBreaksInFrames field value.

### isFShowBreaksInFrames

    @Internal
    public boolean isFShowBreaksInFrames()

  Returns:
    the fShowBreaksInFrames field value.

### setFSwapBordersFacingPgs

    @Internal
    public void setFSwapBordersFacingPgs(boolean value)

  Sets the fSwapBordersFacingPgs field value.

### isFSwapBordersFacingPgs

    @Internal
    public boolean isFSwapBordersFacingPgs()

  Returns:
    the fSwapBordersFacingPgs field value.

### setFSuppressTopSPacingMac5

    @Internal
    public void setFSuppressTopSPacingMac5(boolean value)

  Sets the fSuppressTopSPacingMac5 field value.

### isFSuppressTopSPacingMac5

    @Internal
    public boolean isFSuppressTopSPacingMac5()

  Returns:
    the fSuppressTopSPacingMac5 field value.

### setFTruncDxaExpand

    @Internal
    public void setFTruncDxaExpand(boolean value)

  Sets the fTruncDxaExpand field value.

### isFTruncDxaExpand

    @Internal
    public boolean isFTruncDxaExpand()

  Returns:
    the fTruncDxaExpand field value.

### setFPrintBodyBeforeHdr

    @Internal
    public void setFPrintBodyBeforeHdr(boolean value)

  Sets the fPrintBodyBeforeHdr field value.

### isFPrintBodyBeforeHdr

    @Internal
    public boolean isFPrintBodyBeforeHdr()

  Returns:
    the fPrintBodyBeforeHdr field value.

### setFNoLeading

    @Internal
    public void setFNoLeading(boolean value)

  Sets the fNoLeading field value.

### isFNoLeading

    @Internal
    public boolean isFNoLeading()

  Returns:
    the fNoLeading field value.

### setFMWSmallCaps

    @Internal
    public void setFMWSmallCaps(boolean value)

  Sets the fMWSmallCaps field value.

### isFMWSmallCaps

    @Internal
    public boolean isFMWSmallCaps()

  Returns:
    the fMWSmallCaps field value.

### setLvl

    @Internal
    public void setLvl(byte value)

  Sets the lvl field value.

### getLvl

    @Internal
    public byte getLvl()

  Returns:
    the lvl field value.

### setFGramAllDone

    @Internal
    public void setFGramAllDone(boolean value)

  Sets the fGramAllDone field value.

### isFGramAllDone

    @Internal
    public boolean isFGramAllDone()

  Returns:
    the fGramAllDone field value.

### setFGramAllClean

    @Internal
    public void setFGramAllClean(boolean value)

  Sets the fGramAllClean field value.

### isFGramAllClean

    @Internal
    public boolean isFGramAllClean()

  Returns:
    the fGramAllClean field value.

### setFSubsetFonts

    @Internal
    public void setFSubsetFonts(boolean value)

  Sets the fSubsetFonts field value.

### isFSubsetFonts

    @Internal
    public boolean isFSubsetFonts()

  Returns:
    the fSubsetFonts field value.

### setFHideLastVersion

    @Internal
    public void setFHideLastVersion(boolean value)

  Sets the fHideLastVersion field value.

### isFHideLastVersion

    @Internal
    public boolean isFHideLastVersion()

  Returns:
    the fHideLastVersion field value.

### setFHtmlDoc

    @Internal
    public void setFHtmlDoc(boolean value)

  Sets the fHtmlDoc field value.

### isFHtmlDoc

    @Internal
    public boolean isFHtmlDoc()

  Returns:
    the fHtmlDoc field value.

### setFSnapBorder

    @Internal
    public void setFSnapBorder(boolean value)

  Sets the fSnapBorder field value.

### isFSnapBorder

    @Internal
    public boolean isFSnapBorder()

  Returns:
    the fSnapBorder field value.

### setFIncludeHeader

    @Internal
    public void setFIncludeHeader(boolean value)

  Sets the fIncludeHeader field value.

### isFIncludeHeader

    @Internal
    public boolean isFIncludeHeader()

  Returns:
    the fIncludeHeader field value.

### setFIncludeFooter

    @Internal
    public void setFIncludeFooter(boolean value)

  Sets the fIncludeFooter field value.

### isFIncludeFooter

    @Internal
    public boolean isFIncludeFooter()

  Returns:
    the fIncludeFooter field value.

### setFForcePageSizePag

    @Internal
    public void setFForcePageSizePag(boolean value)

  Sets the fForcePageSizePag field value.

### isFForcePageSizePag

    @Internal
    public boolean isFForcePageSizePag()

  Returns:
    the fForcePageSizePag field value.

### setFMinFontSizePag

    @Internal
    public void setFMinFontSizePag(boolean value)

  Sets the fMinFontSizePag field value.

### isFMinFontSizePag

    @Internal
    public boolean isFMinFontSizePag()

  Returns:
    the fMinFontSizePag field value.

### setFHaveVersions

    @Internal
    public void setFHaveVersions(boolean value)

  Sets the fHaveVersions field value.

### isFHaveVersions

    @Internal
    public boolean isFHaveVersions()

  Returns:
    the fHaveVersions field value.

### setFAutoVersions

    @Internal
    public void setFAutoVersions(boolean value)

  Sets the fAutoVersions field value.

### isFAutoVersions

    @Internal
    public boolean isFAutoVersions()

  Returns:
    the fAutoVersions field value.

### setFVirusPrompted

    @Internal
    public void setFVirusPrompted(boolean value)

  Sets the fVirusPrompted field value.

### isFVirusPrompted

    @Internal
    public boolean isFVirusPrompted()

  Returns:
    the fVirusPrompted field value.

### setFVirusLoadSafe

    @Internal
    public void setFVirusLoadSafe(boolean value)

  Sets the fVirusLoadSafe field value.

### isFVirusLoadSafe

    @Internal
    public boolean isFVirusLoadSafe()

  Returns:
    the fVirusLoadSafe field value.

### setKeyVirusSession30

    @Internal
    public void setKeyVirusSession30(int value)

  Sets the KeyVirusSession30 field value.

### getKeyVirusSession30

    @Internal
    public int getKeyVirusSession30()

  Returns:
    the KeyVirusSession30 field value.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.